Menu

apiBookWithdrawalAppointment

MutationKey required

Books a dock slot for an approved withdrawal. Slots: apiInboundSlots.

Arguments

NameTypeDescription
dockIdString!required
noteString
startsAtDateTime!required
withdrawalIdString!required

Returns

WithdrawalRequestView!

Example

GraphQL
mutation ApiBookWithdrawalAppointment($dockId: String!, $note: String, $startsAt: DateTime!, $withdrawalId: String!) {
  apiBookWithdrawalAppointment(dockId: $dockId, note: $note, startsAt: $startsAt, withdrawalId: $withdrawalId) {
    appointment {
      dockCode
      dockId
      endsAt
      id
      startsAt
      status
    }
    arrivedAt
    atRisk
    cancelReason
    closedAt
    createdAt
    decidedAt
    decisionNote
    facilityCode
    facilityId
    handedOverAt
    handedTo
    handedUnits
    holdUntil
    id
    lineCount
    noShowAt
    note
    openReturnTasks
    openTasks
    organizationId
    photoKeys
    readyAt
    reason
    reference
    requestedUnits
    sellerName {
      ar
      en
      fr
      tn
    }
    shopRepresentative
    stagedUnits
    stagingBarcode
    status
    totalReturnTasks
    totalTasks
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiBookWithdrawalAppointment($dockId: String!, $note: String, $startsAt: DateTime!, $withdrawalId: String!) { apiBookWithdrawalAppointment(dockId: $dockId, note: $note, startsAt: $startsAt, withdrawalId: $withdrawalId) { appointment { dockCode dockId endsAt id startsAt status } arrivedAt atRisk cancelReason closedAt createdAt decidedAt decisionNote facilityCode facilityId handedOverAt handedTo handedUnits holdUntil id lineCount noShowAt note openReturnTasks openTasks organizationId photoKeys readyAt reason reference requestedUnits sellerName { ar en fr tn } shopRepresentative stagedUnits stagingBarcode status totalReturnTasks totalTasks } }"}'